TimeAxisLabel
Keywords: org.jrobin.graph.TimeAxisLabel class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.graph
Class TimeAxisLabel

    java.lang.Object
      org.jrobin.graph.Comment
          org.jrobin.graph.TimeAxisLabel

public class TimeAxisLabel
extends org.jrobin.graph.Comment

Represents the TimeAxis label used in the graph. The TimeAxisLabel object has the same alignment possibilities as all other text/comment objects in a graph.

Field Summary
`protected boolean` | `addSpacer`
`protected static int` | `CMT_DEFAULT`
`protected static int` | `CMT_GPRINT`
`protected static int` | `CMT_LEGEND`
`protected static int` | `CMT_NOLEGEND`
`protected int` | `commentType`
`protected boolean` | `endLf`
`protected java.lang.Byte` | `lfToken`
`protected int` | `lineCount`
`protected java.util.ArrayList` | `oList`
`protected java.lang.String` | `text`
`protected static java.lang.Byte` | `TKN_AC`
`protected static java.lang.Byte` | `TKN_ACF`
`protected static java.lang.Byte` | `TKN_AL`
`protected static java.lang.Byte` | `TKN_ALF`
`protected static java.lang.Byte` | `TKN_AR`
`protected static java.lang.Byte` | `TKN_ARF`
`protected static java.lang.Byte` | `TKN_NULL`
`protected boolean` | `trimString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMT_DEFAULT

    protected static final int CMT_DEFAULT

See Also:
  Constant Field Values

### CMT_LEGEND

    protected static final int CMT_LEGEND

See Also:
  Constant Field Values

### CMT_GPRINT

    protected static final int CMT_GPRINT

See Also:
  Constant Field Values

### CMT_NOLEGEND

    protected static final int CMT_NOLEGEND

See Also:
  Constant Field Values

### TKN_ALF

    protected static final java.lang.Byte TKN_ALF

### TKN_ARF

    protected static final java.lang.Byte TKN_ARF

### TKN_ACF

    protected static final java.lang.Byte TKN_ACF

### TKN_AL

    protected static final java.lang.Byte TKN_AL

### TKN_AR

    protected static final java.lang.Byte TKN_AR

### TKN_AC

    protected static final java.lang.Byte TKN_AC

### TKN_NULL

    protected static final java.lang.Byte TKN_NULL

### lineCount

    protected int lineCount

### endLf

    protected boolean endLf

### addSpacer

    protected boolean addSpacer

### trimString

    protected boolean trimString

### commentType

    protected int commentType

### lfToken

    protected java.lang.Byte lfToken

### text

    protected java.lang.String text

### oList

    protected java.util.ArrayList oList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD